MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0024538Open CASCADE[OCCT] OCCT:Modeling Algorithmspublic2014-01-16 14:142014-11-11 12:51
Reporterabv 
Assigned Toabv 
PrioritynormalSeverityminor 
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version[OCCT] 6.7.0 
Target Version[OCCT] 6.8.0Fixed in Version[OCCT] 6.8.0 
Summary0024538: BRepFill_CompatibleWires.cxx, implementation of function PlaneOfWire() is suboptimal
DescriptionIn BRepFill_CompatibleWires.cxx, implementation of function PlaneOfWire() can be improved to optimize calculation of barycenter (Bary):

- use TopoDS_Iterator to check that wire contains only one edge (instead of BRepTools_WireExplorer)
- check wire closure and take curve from edge only if that edge is only one
- do not call BRepGProp::LinearProperties() if Bary is taken from curve

(This has been noticed by post-factum review of 0024532)
TagsNo tags attached.
Test case numberNot needed
Attached Files

- Relationships
child of 0024532closedbugmaster BRepOffsetAPI_MakePipeShell raises an exception in a case with auxiliary guide 

-  Notes
(0028723)
aml (developer)
2014-04-08 09:01
edited on: 2014-04-09 10:01

Dear ifv,
Please check current state of branch CR24538

- use TopoDS_Iterator to check that wire contains only one edge (instead of BRepTools_WireExplorer)
Done
- check wire closure and take curve from edge only if that edge is only one
Done
- do not call BRepGProp::LinearProperties() if Bary is taken from curve
Done

(0028748)
ifv (developer)
2014-04-09 10:23

Ok
(0028783)
apn (administrator)
2014-04-10 17:33

Dear BugMaster,

Branch CR24538 (and products from GIT master) was compiled on MacOS, Linux and Windows platforms and tested.
SHA-1: c0adc71f753a400116083aab25985c03522e1852

Number of compiler warnings:

occt component :
Linux: 21 (21 on master)
Windows: 1 (1 on master)

products component :
Linux: 12 (12 on master)
Windows: 2 (2 on master)

Regressions/Differences:
No regressions/differences

Testing cases:
Not needed

Testing on Linux:
Total MEMORY difference: 351188896 / 352026040
Total CPU difference: 48970.95999999997 / 50789.29000000014

Testing on Windows:
Total MEMORY difference: 381249888 / 381244252
Total CPU difference: 36357.4375 / 36679.046875

There are no differences in images found by testdiff.

- Related Changesets
occt: master 927513c0
Timestamp: 2014-04-07 08:09:39
Author: abv
Committer: abv
Details ] Diff ]
0024538: BRepFill_CompatibleWires.cxx, implementation of function PlaneOfWire() is suboptimal

Implementation improvements and refactoring in PlaneOfWire() function.
mod - src/BRepFill/BRepFill_CompatibleWires.cxx Diff ] File ]

- Issue History
Date Modified Username Field Change
2014-01-16 14:14 abv New Issue
2014-01-16 14:14 abv Assigned To => ifv
2014-01-16 14:14 abv Relationship added child of 0024532
2014-02-10 14:20 ifv Assigned To ifv => aml
2014-04-04 18:16 abv Target Version 6.7.1 => 6.8.0
2014-04-08 09:01 aml Note Added: 0028723
2014-04-08 09:01 aml Assigned To aml => ifv
2014-04-08 09:01 aml Status new => resolved
2014-04-09 10:01 aml Note Edited: 0028723 View Revisions
2014-04-09 10:23 ifv Note Added: 0028748
2014-04-09 10:23 ifv Status resolved => reviewed
2014-04-09 13:44 apn Assigned To ifv => apn
2014-04-10 17:33 apn Note Added: 0028783
2014-04-10 17:33 apn Test case number => Not needed
2014-04-10 17:33 apn Assigned To apn => bugmaster
2014-04-10 17:33 apn Status reviewed => tested
2014-04-11 14:43 abv Changeset attached => occt master 927513c0
2014-04-11 14:43 abv Assigned To bugmaster => abv
2014-04-11 14:43 abv Status tested => verified
2014-04-11 14:43 abv Resolution open => fixed
2014-11-11 12:47 aiv Fixed in Version => 6.8.0
2014-11-11 12:51 aiv Status verified => closed


Copyright © 2000 - 2020 MantisBT Team
Powered by Mantis Bugtracker